import 'dart:async';

import 'package:flutter/services.dart';

class HqmFlutterPlugin {
  static const MethodChannel _channel =
      const MethodChannel('hqm_flutter_plugin');

  static Future<bool> init(String apiKey,
      {bool runOnlyInForeground = false, bool allowSlackDebug = false}) async {
    final bool result = await _channel.invokeMethod('init', {
      "apiKey": apiKey,
      "runOnlyInForeground": runOnlyInForeground,
      "allowSlackDebug": allowSlackDebug,
    });
    return result;
  }

  static Future<bool> enableDebug(bool enableDebug) async {
    return await _channel
        .invokeMethod("enableDebug", {"enableDebug": enableDebug});
  }

  static Future<bool> get isInitialized async {
    return await _channel.invokeMethod("isInitialized");
  }

  static Future<int> getTestGroup(String groupName, int limit) async {
    return await _channel
        .invokeMethod("getTestGroup", {"groupName": groupName, "limit": limit});
  }

  static Future<bool> collectApps() async {
    return await _channel.invokeMethod("collectApps");
  }
}
